const electron = require('electron')

// Module to control application life.
const app = electron.app

// Module to create native browser window.
const BrowserWindow = electron.BrowserWindow

// Keep a global reference of the window object, if you don't, the window will
// be closed automatically when the JavaScript object is garbage collected.
let mainWindow

//callback function for ready event
function createWindow () {
  // Create the browser window.
 mainWindow = new BrowserWindow({width: 800, height: 600,frame:false})

  // Disable menu
  //mainWindow.setMenu(null)
  
  // and load the index.html of the app.
 mainWindow.loadURL('file://'+__dirname+'/index.html')

 // Chrome developer tools
 mainWindow.webContents.openDevTools();

   // Emitted when the window is closed.
 mainWindow.on('closed', function () {
  // Dereference the window object, usually you would store windows
  // in an array if your app supports multi windows, this is the time
  // when you should delete the corresponding element.
  mainWindow = null
 })
}

app.on('ready', createWindow)

// Quit when all windows are closed.
app.on('window-all-closed', function () {
 // On OS X it is common for applications and their menu bar
 // to stay active until the user quits explicitly with Cmd + Q
 if (process.platform !== 'darwin') {
  app.quit()
 }
})

app.on('activate', function () {
 // On OS X it's common to re-create a window in the app when the
 // dock icon is clicked and there are no other windows open.
 if (mainWindow === null) {
  createWindow()
 }
})

//disable menu for all browsers windows
/*app.on('browser-window-created',function(event,window) {
  window.setMenu(null);
})*/


/*const ipc = electron.ipcMain
const dialog = electron.dialog

ipc.on('open-directory-dialog', function (event) {
 dialog.showOpenDialog({
 properties: ['openDirectory', 'multiSelections']
 }, function (files) {
 if (files)
	 event.sender.send('selectedItem', files)
 else
	 console.log('Error;log something');

 })
})*/